%define major		0
%define gir_major	1.0
%define libname		%mklibname %{name} %{major}
%define libnamedevel	%mklibname -d %{name}
%define girname		%mklibname %{name}-gir %{gir_major}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		caribou
Version:	0.4.13
Release:	%mkrel 3
Summary:	A simplified in-place on-screen keyboard
Group:		Accessibility
License:	LGPLv2+
URL:		https://wiki.gnome.org/Caribou
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:         caribou-0.4.8-multilib.patch
Patch1:         caribou-0.4.8-fix-python-exec.patch
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}atspi-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}dbus-1-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}gee-devel
BuildRequires: %{_lib}girepository-devel
BuildRequires: %{_lib}girepository1.0_1
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}glib2.0_0
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xi-devel
BuildRequires: %{_lib}xklavier-devel
BuildRequires: %{_lib}xml2-devel
BuildRequires: %{_lib}xtst-devel
BuildRequires: python-virtkey
BuildRequires: intltool
BuildRequires: gnome-doc-utils
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: vala-devel
Requires:	pyatspi
Requires:	python-gobject3
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Caribou is a text entry application that currently manifests itself as
a simplified in-place on-screen keyboard.


%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
%apply_patches

%build
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

find %{buildroot} -name '*.la' -exec rm -f {} ';'

echo "OnlyShowIn=GNOME;" >> %{buildroot}%{_sysconfdir}/xdg/autostart/caribou-autostart.desktop
desktop-file-validate %{buildroot}%{_sysconfdir}/xdg/autostart/caribou-autostart.desktop || :

%find_lang caribou

%files -f caribou.lang
%defattr(-,root,root)
%doc NEWS README
%{_bindir}/caribou
%{_bindir}/caribou-preferences
%{_datadir}/caribou
%{_datadir}/antler
%{_datadir}/dbus-1/services/org.gnome.Caribou.Antler.service
%{_libexecdir}/antler-keyboard
%{_sysconfdir}/xdg/autostart/caribou-autostart.desktop
%{_datadir}/glib-2.0/schemas/*
%{py_puresitedir}/caribou
%{_libdir}/gtk-2.0/modules/libcaribou-gtk-module.so
%{_libdir}/gtk-3.0/modules/libcaribou-gtk-module.so
%{_libdir}/gnome-settings-daemon-3.0/gtk-modules/caribou-gtk-module.desktop
%{_libdir}/*.so.%{major}*
%{_libdir}/girepository-1.0/Caribou-%{gir_major}.typelib

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/caribou-%{gir_major}.pc
%{_datadir}/gir-1.0/Caribou-%{gir_major}.gir
%{_datadir}/vala/vapi/caribou-1.0.deps
%{_datadir}/vala/vapi/caribou-1.0.vapi


%posttrans
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :

%postun
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :


%clean
rm -rf %{buildroot}


%changelog
* Wed Apr 16 2014 bb <bb> 0.4.13-3pclos2014
- add 2 fedora patches

* Wed Apr 16 2014 bb <bb> 0.4.13-2pclos2014
- rebuild

* Tue Nov 19 2013 bb <bb> 0.4.13-1pclos2013
- update

* Sat Oct 19 2013 bb <bb> 0.4.12-1pclos2013
- import into pclos for cinnamon
